Subject: Re: Matrix chat room about NNCP

From: Sergey Matveev <[email-masked]>
Date: Sun, 23 Jan 2022 17:33:52 +0300

Greetings!

*** John Goerzen [2022-01-21 14:44]:
>Matrix is a distributed global chat network, sort of like an open-source
>non-centralized Slack or a modernized IRC.

Just my two cents about Matrix:

Unfortunately literally all the time I wanted to try it, I have never
succeeded in its server building/running. Neither with Python-based, nor
with Go-based. I do not remember details, but all of that was very
complicated, VERY resource hungry (Python-based implementations) and my
patience ended before I could finish all that installation. If I can not
run my own federated server instance -- no way I will use messaging solution.

Also when I looked at available clients, there were no console/TUI/CLI
based with OLM-encryption support. So I just did not see why I would
bother with Matrix at all -- it just lacked (lacks?) usable server and
client implementations. I remember how easy it was to setup XMPP-server
with Prosody.im. I know how easily you can run IRC-server with
feature-rich https://ergo.chat/ or with my minimalistic
http://www.git.cypherpunks.ru/?p=goircd.git;a=summary. But when I tried
Matrix servers/clients half a dozen times -- there were not any close to
all that simplicity.

I do not want to say that Matrix is bad (as with TLS :-)). Just my
personal experience was awful. I have not looked at its web-based
clients -- I would not use that anyway, but probably they are ok,
in comparison to similar kind of software. Possibly I needed to make
just single small step to finish my installations of Matrix servers,
but my patience is too limited. Mainly I just do not see any advantages
that would force me to try all of it again.

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF